# hey Emacs, its -*- mode: rpm-spec; coding: cyrillic-cp1251; -*-
# Subversion

%def_without M24

%def_with doc
%def_with server
%def_with dav
%def_with javahl
%def_with swig_py
# Master 2.4 does not have swig-runtime-perl
%if_with M24
%def_without swig_pl
%else
%def_without swig_pl
%endif
# Note: this spec does not have support for building with swig_java
%def_without swig_java

%def_with svn_push

%def_enable check

%define svn_ver 1.2.3

%if_with M24
%define svn_rel alt0.M24.1
%else
%define svn_rel alt2
%endif

%define svn_ver_pre %nil

%if_with M24
%define apr_ver 1:0.9.5-alt0.3.M24.1
%else
%define apr_ver 1:0.9.5-alt0.4
%endif

# Master 2.4 does not have %%python_sitelibdir defined
%if_with M24
%define python_libdir %_libdir/python2.3
%define python_sitelibdir %python_libdir/site-packages
%endif

%define svn_user subversion
%define svn_group subversion
%define svn_repo_dir %_localstatedir/subversion
%define svn_service svnserve

# Directory for subversion-tools
%define _svn_tools_dir %_datadir/%name
%define _svn_tools_bindir %_bindir

Name: subversion	
Version: %svn_ver
Release: %svn_rel

Summary: A version control system
Group: Development/Other
License: Apache
Url: http://subversion.tigris.org/
Packager: Sviatoslav Sviridov <svd@altlinux.ru>

Source: %name-%version%svn_ver_pre.tar.bz2
Source1: %name.el
Source2: %name-config-1.2.0.tar.bz2
Source3: svnserve.init
Source4: svnserve.sysconfig
Source5: %name-apache.conf
Source6: svnwrapper
Source7: vc-svn.el
Source8: Makefile-tools

Patch1: subversion-1.1.3-buildchek-neon.diff

Patch11: %name-1.2.0-alt-dockbook.patch
#Patch12: %name-1.0.6-alt-autogen.patch
Patch13: %name-1.2.0-alt-bdb.patch
Patch14: %name-1.1.1-alt-gen_make.patch
Patch15: %name-1.1.3-alt-quote-filenames.patch
Patch16: %name-1.1.3-alt-makefile-check-javahl.patch
Patch17: %name-1.1.4-alt-swig-linkage.patch
Patch18: %name-1.2.0-r14754-svnversion.patch
Patch19: %name-1.2.0-alt-buildconf.patch
Patch20: %name-1.2.1-alt-M24-bdb.patch

Requires: lib%name = %version-%release

# since 1.0.6 neon 0.24.7 required (fixes wire compression bugs)
%if_with M24
# libneon-0.24.7 is available in updates for M24
Requires: libneon >= 0.24.7-alt2
%else
Requires: libneon >= 0.24.7-alt2
%endif

# Automatically added by buildreq on Tue May 31 2005
BuildRequires: docbook-style-xsl emacs21-common libapr-devel libexpat-devel libgpg-error libneon-devel libruby-devel perl-devel python-base python-modules-compiler python-modules-encodings ruby-stdlibs xsltproc doxygen

BuildRequires: libldap-devel rpm-build-python

# Backup record
#BuildRequires: XFree86-libs XFree86-locales docbook-style-xsl emacs21-common libapr-devel libaprutil-devel libe2fs-devel libexpat-devel libgdbm-devel libneon-devel libssl-devel perl-devel xpm xsltproc zlib-devel
#BuildRequires: libldap-devel rpm-build-python

%if_without M24
# Master 2.4 has PerlIO.pm as a part of perl-base
BuildPreReq: perl-PerlIO
%endif

%if_with M24
BuildPreReq: XFree86-locales
%else
BuildPreReq: xorg-x11-locales
%endif

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Manually removed from list:
# + emacs-related packages (only emacs21-common left)
# + libdb4-devel (specified below as libdb4.3-devel),
# + python-dev (specified below as python-devel = 2.4);
# + swig (coonditional, required for swig bindings)
# + libswigpy (conditional, required for subversion-python)
# + apache2-devel (needed only for subversion-server-dav)
# + j2se-devel, junit (conditional, required for javahl, swig_java)
# + gcc-c++, libstdc++-devel (conditional, required for javahl)
# + perl-PerlIO (specified if building not for 2.4 Master)
%if_with M24
BuildPreReq: libdb4.2-devel = 4.2.52-alt4
%else
BuildPreReq: libdb4.3-devel
%endif
%if_with M24
BuildPreReq: libneon-devel >= 0.24.7-alt2
%else
BuildPreReq: libneon-devel >= 0.24.7-alt2
%endif
%if_with M24
BuildPreReq: python-dev
%else
BuildPreReq: python-devel = 2.4
%endif
%if_with M24
BuildPreReq: libaprutil-devel >= 1:0.9.5-alt0.4
%else
# libaprutil built with libdb4.3 required
BuildPreReq: libaprutil-devel >= 0.9.5-alt0.4.1
%endif

%if_with swig_py
BuildPreReq: swig, swig-runtime-python
%endif

%if_with swig_pl
BuildPreReq: perl-base, swig, swig-runtime-perl
%endif

%if_with swig_java
# TBD: What else required to build swig java bindings?
BuildPreReq: swig rpm-build-java  j2se-devel
%endif

%if_with javahl
BuildPreReq: gcc-c++ libstdc++-devel rpm-build-java j2se-devel junit
BuildPreReq: /proc
%endif

%description
The goal of the Subversion project is to build a revision system that is
a compelling replacement for CVS in the open community.  The software is
released under an Apache/BSD-style source license.  See the status page
for current progress.
This package contains command-line subversion utilities: svn and 
svnversion. For more utilities please look for packages subversion-tools
and subversion-server-common.

%package -n lib%name
Summary: Shared libraries required for subversion
Group: System/Libraries
Requires: lib%name = %version-%release
Requires: libapr >= %apr_ver

%description -n lib%name
The goal of the Subversion project is to build a revision system that is
a compelling replacement for CVS in the open community.  The software is
released under an Apache/BSD-style source license.  See the status page
for current progress.

%package -n lib%name-devel
Summary: Development files for applications which will use subversion libraries
Group: Development/C
Provides: %name-devel = %version-%release
Requires: lib%name = %version-%release
Requires: libapr-devel >= %apr_ver

%description -n lib%name-devel
The goal of the Subversion project is to build a revision system that is
a compelling replacement for CVS in the open community.  The software is
released under an Apache/BSD-style source license.  See the status page
for current progress.

%package -n lib%name-devel-static
Summary: Static libraries for developing statically linked applications which will use subversion libraries
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
The goal of the Subversion project is to build a revision system that is
a compelling replacement for CVS in the open community.  The software is
released under an Apache/BSD-style source license.  See the status page
for current progress.

%if_with swig_py
%package python
Summary: Pyhton bindings for Subversion
Group: Development/Other
Requires: lib%name = %version-%release

%description python
The goal of the Subversion project is to build a revision system that is
a compelling replacement for CVS in the open community.  The software is
released under an Apache/BSD-style source license.  See the status page
for current progress.
This package contains the files necessary to use the subversion library
functions within python scripts.
%endif

%if_with swig_pl
%package perl
Summary: Perl bindings for Subversion
Group: Development/Other
Requires: lib%name = %version-%release

%description perl
The goal of the Subversion project is to build a revision system that is
a compelling replacement for CVS in the open community.  The software is
released under an Apache/BSD-style source license.  See the status page
for current progress.
This package contains the files necessary to use the subversion library
functions within perl scripts.
%endif

%if_with swig_java
%package java
Summary: Java bindings for Subversion
Group: Development/Other
Requires: lib%name = %version-%release
%endif

%if_with javahl
%package javahl
Summary: JavaHL bindings for Subversion
Group: Development/Other
Requires: lib%name = %version-%release

%description javahl
The goal of the Subversion project is to build a revision system that is
a compelling replacement for CVS in the open community.  The software is
released under an Apache/BSD-style source license.  See the status page
for current progress.
This package contains the files necessary to use the subversion library
functions within java.
%endif

%package -n emacs-%name
Summary: Subversion support for Emacs
Group: Editors
Requires: %name

%description -n emacs-%name
vc-svn is a VC backend for Subversion.ataff
psvn is an interface for subversion. psvn provides a similar interface
for subversion as pcl-cvs for cvs.

All Emacs Lisp code is byte-compiled, install emacs-%name-el for sources.

%package -n emacs-%name-el
Summary: The Emacs Lisp sources for bytecode included in emacs-%name
Group: Editors

%description -n emacs-%name-el
emacs-%name-el contains the Emacs Lisp sources for the bytecode
included in emacs-%name package

%package doc
Summary: Subversion documentation
Group: Books/Other
Requires(post): %install_info
Requires(preun): %uninstall_info

%description doc
This package contains subversion documentation:
+ the "Version Control with Subversion" book,
+ documents for Subversion programmers,
+ documents for Subversion users.

%package server-common
Summary: Common files required to maintain subversion server
Group: System/Servers
Requires: lib%name = %version-%release

%description server-common
The goal of the Subversion project is to build a revision system that is
a compelling replacement for CVS in the open community.  The software is
released under an Apache/BSD-style source license.  See the status page
for current progress.
This package contains common files required for maintaing subversion
repositories.

%package server-standalone
Summary: Subversion standalone server
Group: System/Servers
Requires: %name-server-common = %version-%release

%description server-standalone
The goal of the Subversion project is to build a revision system that is
a compelling replacement for CVS in the open community.  The software is
released under an Apache/BSD-style source license.  See the status page
for current progress.
This package contains scripts for running standalone subversion server.

%package server-dav
Summary: Subversion server module for Apache
Group: System/Servers 
Requires: %name-server-common = %version-%release
%if_with dav
BuildPreReq: apache2-devel
Requires: apache2
%endif

%description server-dav
The goal of the Subversion project is to build a revision system that is
a compelling replacement for CVS in the open community.  The software is
released under an Apache/BSD-style source license.  See the status page
for current progress.
This package contains the apache2 server shared module for running
subversion server.

%package tools
Summary: Tools for subversion
Group: Development/Other
Requires: %name = %version-%release
Requires: %name-server-common = %version-%release
Requires: %name-python = %version-%release
BuildPreReq: perl-URI

%description tools
Tools for Subversion.  This package includes:
+ hook scripts
+ bash completion,
+ other useful scripts (hot-backup.py, server-vsn.py, showchange.pl),
+ some scripts and code examples.

%package -n bash-completion-svn
Summary: Bash completion for subversion
Group: Development/Other

%description -n bash-completion-svn
Bash completion for subversion

%if_with swig_pl
%endif

%description -n emacs-%name
vc-svn is a VC backend for Subversion.ataff
psvn is an interface for subversion. psvn provides a similar interface
for subversion as pcl-cvs for cvs.

All Emacs Lisp code is byte-compiled, install emacs-%name-el for sources.

%prep
%setup -q -n %name-%version%svn_ver_pre

# Might be required to build with libneon-0.25
#%%patch1

%patch11 -p1
%patch13 -p1
%patch14 -p1
%patch15
#%%patch16 -p1
%patch17 -p1
#patch18 -p1
%patch19
%if_with M24
%patch20 -p1
%endif
rm -rf apr apr-util neon

%__mv -f contrib/client-side/vc-svn.el contrib/client-side/vc-svn.el.bak
%__cp %SOURCE7 contrib/client-side/vc-svn.el

%__cp %SOURCE8 .

%if_with M24
# HACK! Needed to remove dependency on File::Path 1.0404 for Master2.4 branch
subst 's|^\(use File::Path\).*|\1;|' contrib/client-side/svn_load_dirs.pl.in
%endif

%build
LIBTOOL_M4=%_datadir/libtool/aclocal/libtool.m4 ./autogen.sh

#CONFIGURE_OPTS="--disable-all-static --disable-rpath"
CONFIGURE_OPTS="%{subst_enable static} --disable-rpath --enable-shared --enable-dso"
CONFIGURE_OPTS="$CONFIGURE_OPTS --with-ssl --with-neon=%prefix"
CONFIGURE_OPTS="$CONFIGURE_OPTS --with-apr=%prefix --with-apr-util=%prefix"

%if_with dav
CONFIGURE_OPTS="$CONFIGURE_OPTS --with-apxs=%apache_apxs"
%endif

%if_with javahl
CONFIGURE_OPTS="$CONFIGURE_OPTS --enable-javahl --with-jdk=/usr/lib/j2se --with-jikes=no"
%endif

%add_optflags %optflags_shared

%configure $CONFIGURE_OPTS
%make_build

%if_with svn_push
%make_build contrib/client-side/svn-push/svn-push
%endif

%if_with swig_py
%make_build swig-py
%endif

%if_with swig_pl
%make_build swig-pl-lib
pushd subversion/bindings/swig/perl/native
# This does not work (libraries are being build with RPATH entries)
#%%perl_vendor_build all

%__perl Makefile.PL INSTALLDIRS=vendor PREFIX=%_prefix
# Remove RPATH 
%__subst 's:^LD_RUN_PATH = .*:LD_RUN_PATH =:' Makefile Makefile.[a-z]*
%make_build all

popd
%endif

%if_with swig_java
%make_build swig-java
%endif

%if_with javahl
#%%make_build javahl
# This is workaround to build on SMP machines until makefile is fixed
%make_build javahl-java
%make_build javahl-javah
%make_build javahl-lib


%endif

%if_with doc
# Build subversion documentation
%make XSL_DIR=/usr/share/xml/docbook/xsl-stylesheets \
    doc-all-html doc-all-info

doxygen doc/doxygen.conf
%endif
#hook-scripts/mailer

# Building emacs-subversion files
emacs -batch --eval '(byte-compile-file "contrib/client-side/vc-svn.el")'
emacs -batch --eval '(byte-compile-file "contrib/client-side/psvn/psvn.el")'

# Fix paths in scripts
%__subst 's:^\(SVN=\).*:\1%_bindir/svn:' contrib/client-side/asvn
%__subst 's:#!/usr/bin/env python2:#!/usr/bin/env python:' tools/hook-scripts/mailer/mailer.py
%__subst 's:/usr/bin/env python2$:/usr/bin/env python:' tools/hook-scripts/*.py

# Running tests
%if_enabled check

# There is a workaround to run tests in a chrooted environment
# We need to set LD_LIBRARY_PATH to make all tests executed successfuly
PWD=`pwd`
LDLP=`find subversion -type d -name .libs|while read dir; do echo "$PWD/$dir"; done|xargs echo|tr ' ' ':'`

# Perform generic tests against bdb and fsfs
echo "*** Running regression tests on RA_LOCAL (FILE SYSTEM) layer ***"
%make check-clean
# CLEANUP=true
LD_LIBRARY_PATH="$LDLP" %make FS_TYPE=fsfs check
%make check-clean
LD_LIBRARY_PATH="$LDLP" %make FS_TYPE=bdb check
echo "*** Finished regression tests on RA_LOCAL (FILE SYSTEM) layer ***"

# Perform perl bindings test
pushd subversion/bindings/swig/perl/native
#%%make TEST_VERBOSE=1 test
popd

# Perform JavaHL tests
%if_with javahl
%make JAVA_CLASSPATH=%_javadir/junit.jar javahl-tests
LD_LIBRARY_PATH="$LDLP" %make JAVA_CLASSPATH=%_javadir/junit.jar check-javahl
%endif

%endif

%install
%make_install DESTDIR=%buildroot install
%__mkdir -p %buildroot%_sysconfdir/%name
%__tar xjf %SOURCE2 -C %buildroot%_sysconfdir/%name

use_svnwrapper()
{
	local destbindir=%buildroot%_bindir
	local target=$1
	local suffix=".bin"
	local wrappername="svnwrapper"
	%__mv "$destbindir/$target" "$destbindir/$target$suffix"
	%__ln_s "$wrappername" "$destbindir/$target"
}

# Installing svnwrapper
%__cp %SOURCE6 %buildroot%_bindir
# Making svnserve to use svnwrapper
use_svnwrapper svnserve
#use_svnwrapper svn
#use_svnwrapper svnadmin

%if_with svn_push
%__install -m 755 contrib/client-side/svn-push/.libs/svn-push %buildroot%_bindir
%endif

%if_with swig_py
%make_install DESTDIR=%buildroot install-swig-py
%__install -d %buildroot%python_sitelibdir
%__rm -f %buildroot%_libdir/svn-python/libsvn/*.a %buildroot%_libdir/svn-python/libsvn/*.la
%__mv %buildroot%_libdir/svn-python/libsvn %buildroot%python_sitelibdir
%__rm -rf %buildroot%_libdir/svn-python
%__cp -r %_builddir/%buildsubdir/subversion/bindings/swig/python/svn %buildroot%python_sitelibdir
%endif

%if_with swig_pl
%make_install DESTDIR=%buildroot install-swig-pl-lib
pushd subversion/bindings/swig/perl/native
%make_install DESTDIR=%buildroot PREFIX=%_prefix install
#%%perl_vendor_install
popd
%endif

%if_with swig_java
%make_install DESTDIR=%buildroot install-swig-java
%endif

# Installing javahl bindings
%if_with javahl
%make_install DESTDIR=%buildroot \
	javahl_javadir=%_javadir javahl_javahdir=%_includedir/svn-javahl \
	install-javahl
%endif

# Installing emacs-subversion files
%__mkdir -p %buildroot%_emacslispdir/%name
%__install -m 644 contrib/client-side/vc-svn.el* %buildroot%_emacslispdir/%name
%__install -m 644 contrib/client-side/psvn/psvn.el* %buildroot%_emacslispdir/%name
%__mkdir -p %buildroot%_sysconfdir/emacs/site-start.d
%__install -m 644 %SOURCE1 %buildroot%_sysconfdir/emacs/site-start.d

%define docdir %_docdir/%name-%version
%__rm -rf %buildroot%docdir
%__mkdir_p %buildroot%docdir
%__install -p -m644 BUGS CHANGES COMMITTERS COPYING HACKING INSTALL README \
	%buildroot%docdir/
%if_with doc
# Installing subversion-doc files
%make_install DESTDIR=%buildroot install-docs
#%make_install XSL_DIR=/usr/share/xml/docbook/xsl-stylesheets \
#    INSTALL_DIR=%buildroot%docdir/doc/book \
#    -C doc/book install-misc-html
%make_install INSTALL_DIR=%buildroot%docdir/ -C ./doc install-misc-html

%__mkdir -p %buildroot%docdir/book/
#%__bzip2 -qc9 doc/book/book/book.ps >%buildroot%docdir/doc/book/book.ps.bz2
%__install -p -m644 doc/book/svn-book.pdf %buildroot%docdir/book/
%__install -p -m644 doc/book/svn-book.html %buildroot%docdir/book/
%__cp -r doc/user %buildroot%docdir/
%__cp doc/README %buildroot%docdir/DOCS.README
%__mkdir -p %buildroot%docdir/programmer/design
%__install -m644 doc/programmer/*.txt %buildroot%docdir/programmer/
%__install -m644 doc/programmer/design/*.html %buildroot%docdir/programmer/design/
#%__cp -r doc/translations %buildroot%docdir/

%__install -m644 doc/programmer/design/*.info* %buildroot%_infodir/

# Install API docs
#%__mkdir %buildroot%docdir/api
%__cp -r doc/doxygen/html/ %buildroot%docdir/api
%endif

%if_with server
# Installing subversion-server files
%__mkdir_p %buildroot%svn_repo_dir
%__mkdir_p %buildroot%_sysconfdir/rc.d/init.d %buildroot%_sysconfdir/sysconfig
%__install -m 755 %SOURCE3 %buildroot%_sysconfdir/rc.d/init.d/%svn_service
%__install -m 644 %SOURCE4 %buildroot%_sysconfdir/sysconfig/%svn_service

%if_with dav
%__mkdir -p %buildroot%apache_addonconfdir
%__install -m 644 %SOURCE5 %buildroot%apache_addonconfdir/A.subversion.conf
%endif
%endif

# Installing subversion-tools files
%if_with oldtoolsinstall
%__mkdir -p %buildroot%_svn_tools_dir/hook-scripts
%__mkdir -p %buildroot%_defaultdocdir/%name-tools-%version/hook-scripts
%__install -m 755 tools/backup/hot-backup.py %buildroot%_svn_tools_bindir/
%__cp -r tools/client-side/* %buildroot%_svn_tools_bindir/
%__mv -f %buildroot%_svn_tools_dir/bash_completion_test %buildroot%_defaultdocdir/%name-tools-%version/
%__cp tools/hook-scripts/*.pl tools/hook-scripts/*.py tools/hook-scripts/mailer/*.py \
	%buildroot%_svn_tools_dir/hook-scripts/
# commit-access-control.pl has unresolved dependencies
%__mv -f -- %buildroot%_svn_tools_dir/hook-scripts/commit-access-control.pl %buildroot%_defaultdocdir/%name-tools-%version/hook-scripts/
%__cp tools/hook-scripts/README tools/hook-scripts/*.example tools/hook-scripts/mailer/*.example \
	%buildroot%_defaultdocdir/%name-tools-%version/hook-scripts/
%__cp -r tools/examples %buildroot%_defaultdocdir/%name-tools-%version/
#%__cp -r tools/dev %buildroot%_svn_tools_dir/
%__cp tools/xslt/svnindex.* %buildroot%_svn_tools_dir/
%__cp -r contrib/client-side/{asvn,*.pl,wcgrep} %buildroot%_svn_tools_dir/
%__cp -r contrib/client-side/{*.vim,*.README,*.example} \
	%buildroot%_defaultdocdir/%name-tools-%version/
%else
%make_install -f Makefile-tools DESTDIR=%buildroot bindir=%_bindir \
	docdir=%_defaultdocdir/%name-tools-%version \
	toolsdir=%_svn_tools_dir
# commit-access-control.pl has unresolved dependencies
%__mv -f -- %buildroot%_svn_tools_dir/hook-scripts/commit-access-control.pl %buildroot%_defaultdocdir/%name-tools-%version/hook-scripts/
%endif

# Installing bash-completion file
%__mkdir -p %buildroot/etc/bash_completion.d
%__install -m 644 tools/client-side/bash_completion %buildroot/etc/bash_completion.d/svn

%find_lang %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post doc
%install_info svn-design.info

%preun doc
%uninstall_info svn-design.info

%pre server-common
/usr/sbin/groupadd -r -f %svn_group
/usr/sbin/useradd -r -g %svn_group -d %svn_repo_dir -s /dev/null -c 'Subversion' %svn_user >/dev/null 2>&1 ||:
if [ $1 -gt 1 ]; then
	/usr/sbin/usermod -d %svn_repo_dir %svn_user
fi

%post server-standalone
%post_service %svn_service

%preun server-standalone
%preun_service %svn_service

%postun server-dav
/sbin/service httpd2 condreload ||:

%files -f %name.lang
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/config
%config(noreplace) %_sysconfdir/%name/servers
%_sysconfdir/%name/README.txt
%_bindir/svn
%_bindir/svnversion
%_mandir/man1/svn.1.*
%_mandir/man1/svnversion.1.*
%dir %docdir
%docdir/[A-Z]*

%files -n lib%name
%_libdir/libsvn_*-*.so.*
%exclude %_libdir/libsvn_swig*

%files -n lib%name-devel
%_libdir/libsvn_*-*.so
%_includedir/%name-1
%exclude %_libdir/libsvn_swig*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/libsvn_*.a
%endif

%if_with swig_py
%files python
%_libdir/libsvn_swig_py*.so.*
%python_sitelibdir/svn
%python_sitelibdir/libsvn
%endif

%if_with swig_pl
%files perl
%_libdir/libsvn_swig_perl*.so.*
%perl_vendor_archlib/SVN
%perl_vendor_autolib/SVN
%perl_vendor_man3dir/SVN*
%endif

%if_with swig-java
%files java
%endif

%if_with javahl
%files javahl
%_libdir/libsvnjavahl*.so.*
%_javadir/svn-javahl.jar
%endif

%files -n emacs-%name
%_sysconfdir/emacs/site-start.d/*.el
%_emacslispdir/%name/*.elc

%files -n emacs-%name-el
%_emacslispdir/%name/*.el

%if_with doc
%files doc
%_infodir/svn-design*
%docdir/DOCS.README
%docdir/book
%docdir/misc-docs
%docdir/programmer
%docdir/user
%docdir/api
%endif

%if_with server
%files server-common
%_bindir/svnserve*
%_bindir/svnadmin
%_bindir/svnlook
%_bindir/svndumpfilter
%_bindir/svnwrapper
%_mandir/man1/svnadmin.1.*
%_mandir/man1/svnlook.1.*
%_mandir/man1/svndumpfilter.1.*
%_mandir/man5/svnserve.conf.5.*
%_mandir/man8/svnserve.8.*
%defattr(640,%svn_user,%svn_group,2710)
%dir %svn_repo_dir

%files server-standalone
%_sysconfdir/rc.d/init.d/%svn_service
%config(noreplace) %_sysconfdir/sysconfig/%svn_service

%if_with dav
%files server-dav
%config(noreplace) %apache_addonconfdir/*.conf
%apache_moduledir/*.so
%endif
%endif

%files tools -f %name-tools.list
%_svn_tools_dir
%_defaultdocdir/%name-tools-%version
%if_with svn_push
%_bindir/svn-push
%endif

%files -n bash-completion-svn
/etc/bash_completion.d/*

%changelog
* Tue Oct 11 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1.2.3-alt2
- /usr/bin/svnwrapper moved to package subversion-server-common (#8191)

* Sat Aug 27 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1.2.3-alt1
- Updated to 1.2.3
- Updated alt-bdb patch

* Mon Aug 22 2005 Aleksey Avdeev <solo@altlinux.ru> 1.2.1-alt0.M24.1
- Backports for M24
- Updated BuildRequires
- Add alt-M24-bdb patch:
  + use bdb 4.2.52

* Tue Aug 16 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1.2.1-alt1
- Updated to 1.2.1 (should fix #7657, #7658)
- Removed subversion-1.2.0-r14754-svnversion.patch (already in upstream)
- Do not build subversion-perl by default
- Fixed installation of svn-push

* Thu Jun 09 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1.2.0-alt1
- Updated to 1.2.0
- Updated BuildRequires
- Updated configure options: added --enable-dso and --enable-shared to
  avoid linkage of libsvn_clien against libsvn_client_* and libsvn_fs
  against libsvn_fs_*
- Used vc-svn.el from subversion-1.1.4 (currently vc-svn.el is excluded
  from subversion repository and is located in FSF Emacs, but it is broken)
- Fixed build configuration (library dependencies for tests and svn-push)
- Rediffed alt-docbook patch
- Updated alt-bdb patch
- Performing javahl tests by default
- Temporary disabled perl bindings tests
- Backported svnversion fix (r14754)
- Reorganized subversion-doc:
  + svn-book packaged as single html file and as pdf file (svn-book sources
    no longer live in subversion repository, just compiled version provided)
  + packaged subversion API (generated with doxygen)
- Workaround used for running tests (setting LD_LIBRARY_PATH to let dlopen
  find required libraries)
- Updated system-wide config to current version
- Repackaged subversion-tools package:
  + executable scritpts installed into /usr/bin
  + not-working or not ready for use OOTB scripts installed into %_docdir
  + packaged svnindex.xsl and svnindex.css
  + packaged svn-push
  + new installation procedure for subversion-tools package (using separate
    makefile)
- New package introduced: bash-completion-svn
- libsubversion-devel now depens on libsubversion (#6755)
- Updated package description for 'subversion' (#6885)

* Tue Jun  7 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1.2.0-alt0.3
- Repackaged subversion-tools package:
- Workaround used for running tests
- Updated system-wide config to current version
  + executable scritpts installed into /usr/bin
  + not-working or not ready for use OOTB scripts installed into %_docdir
  + packaged svnindex.xsl and svnindex.css
  + packaged svn-push
- New installation procedure for subversion-tools package: using separate makefile

* Tue May 31 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1.2.0-alt0.2
- Updated BuildRequires
- Temporary disabled perl bindings tests
- Backported svnversion fix (r14754)
- Reorganized subversion-doc:
  + svn-book packaged as single html file and as pdf file (svn-book sources
    no longer live in subversion repository, just compiled version provided)
  + packaged subversion API (generated with doxygen)

* Mon May 30 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1.2.0-alt0.1
- Updated to 1.2.0
- updated configure options: added --enable-dso and --enable-shared to
  avoid linkage of libsvn_clien against libsvn_client_* and libsvn_fs
  against libsvn_fs_*
- vc-svn.el managed as external resource since it it lives in FSF Emacs now
- Fixed build configuration (library dependencies for tests and svn-push)
- Rediffed alt-docbook patch
- Updated alt-bdb patch
- Performing javahl tests by default

* Thu Apr 07 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1.1.4-alt2
- Fixed linkage for svn_swig libraries (#6426)

* Wed Apr 06 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1.1.4-alt1
- Updated to 1.1.4
- Fixed initscript for svnserve (#6401)
- svnserve config marked as config(noreplace) (#6402)
- #6398 is no longer reproduced

* Tue Mar 15 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1.1.3-alt2
- Rebuild with python 2.4

* Fri Feb 18 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1.1.3-alt1.1
- Workaround for SMP build

* Tue Jan 25 2005 Sviatoslav Sviridov <svd@altlinux.ru> 1.1.3-alt1
- Updated to 1.1.3
- Updated build dependencies
- Updated alt-bdb patch
- Updated patch for svn_load_dir.pl
- Wrap svnserve with shell script that sets umask to 002 before running
  svnserve (#6113)
- Packaged JavaHL bindings (subversion-javahl)
- Purged included_apr staff

* Wed Dec 29 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1.1.2-alt0.M24.3
- fixed dependencies on libapr (using version available in M24 backports
  for M24 branch)

* Mon Dec 27 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1.1.2-alt0.M24.2
- Backport to 2.4 Master

* Mon Dec 27 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1.1.2-alt2
- fixed packaging of subversion-python (included libsvn_swig_py*.so.*)

* Thu Dec 23 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1.1.2-alt1
- Updated to 1.1.2
- Packaged language files
- Packaged more scripts in subversion-tools
- Packaged perl bindings (subversion-perl package)
- Applied patch to quote filenames in svn_load_dirs.pl
- subversion-server-dav:
  + added dependency to apache2
  + config created as A.subversion.conf (#5497)

* Sun Nov 14 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1.1.1-alt1
- Updated to 1.1.1
- Updated default configuration in /etc/subversion

* Fri Oct 15 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1.0.9-alt1
- Updated to 1.0.9

* Wed Sep 22 2004 Dmitry V. Levin <ldv@altlinux.org> 1.0.7-alt1
- Updated to 1.0.7.
- Applied patches from Ben Reser (CAN-2004-0749).

* Wed Aug 18 2004 Dmitry V. Levin <ldv@altlinux.org> 1.0.6-alt2
- Fixed build.
- Relocated documentation.
- Enabled RA_LOCAL tests by default.

* Wed Aug 04 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1.0.6-alt1
- 1.0.6: security fix in mod_authz_svn
- requires neon >= 0.24.7 (fixes wire compression bugs)

* Fri Jun 11 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1.0.5-alt1
- 1.0.5: fixed subversion svn:// protocol string parsing error
  (CAN-2004-0413)
- Added apache2 support
- Changed mode to 2710 for /var/lib/subversion
- Updated BuildRequires
- Do not build static library by default
- Spec cleanup: removed support for cvs2svn package

* Fri May 14 2004 Dmitry V. Levin <ldv@altlinux.org> 1.0.2-alt2
- Fixed subversion sscanf overflow (CAN-2004-0397).

* Wed May 12 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.2-alt1.1
- Rebuilt with openssl-0.9.7d.

* Thu Apr 29 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1.0.2-alt1
- 1.0.2
- updated BuildRequires

* Mon Mar 15 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1.0.1-alt1
- 1.0.1 (bugfix release)
- do not package cvs2svn (moved to its own repository),
  see http://cvs2svn.tigris.org/ for new location

* Mon Feb 23 2004 Sviatoslav Sviridov <svd@altlinux.ru> 1.0.0-alt1
- 1.0.0
- specfile updated:
  + do not package cvs2svn manpage (manpage was not included
    in 1.0.0 release)
  + new subpackage created: subversion-tools

* Fri Feb 20 2004 Sviatoslav Sviridov <svd@altlinux.ru> 0.37.0-alt3
- added new subpackages:
  subversion-server-common, subversion-server-standalone

* Thu Feb 12 2004 Sviatoslav Sviridov <svd@altlinux.ru> 0.37.0-alt2
- rebuild with libdb4.2

* Mon Feb 02 2004 Sviatoslav Sviridov <svd@altlinux.ru> 0.37.0-alt1
- 0.37.0
- conditional build of subversion-doc
- subversion-swig built with python2.3

* Sat Oct 25 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.32.1-alt1
- 0.32.1

* Tue May 20 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.23.0-alt1
- 0.23.0
- removed svn-config from libsubversion-devel

* Wed May 14 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.22.2-alt1
- 0.22.2

* Mon May 12 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.22.1-alt1
- 0.22.1
- added config dir /etc/subversion with config examples
- added the new 'svndumpfilter' program

* Wed Apr 23 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.21.0-alt1
- 0.21.0
- fixed group of package cvs2svn

* Fri Apr 04 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.20.1-alt1
- added documentation to cvs2svn package
- added package subversion-doc
- svn-design.info* moved to subversion-doc
- added package emacs-subversion

* Tue Mar 18 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.19.1-alt0.1
- 0.19.1
- building python bindings
- building cvs2svn package

* Tue Mar 11 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.19-alt1
- 0.19

* Sun Feb 23 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.18-alt1
- 0.18
- Added missing headers to libapr-subversion devel and
  libaprutil-subversion-devel

* Thu Jan 30 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.17.1-alt1
- first build for ALT Linux
